atom-1.0.9: A DSL for embedded hard realtime applications.

Safe Haskell | None

Language.Atom.Analysis

Synopsis

- topo :: UeMap -> [Hash] -> [(Hash, String)]
- ruleComplexity :: UeMap -> Rule -> Int

# Documentation

topo :: UeMap -> [Hash] -> [(Hash, String)]

Topologically sorts a list of expressions and subexpressions.

ruleComplexity :: UeMap -> Rule -> Int

Number of UE's computed in rule.